
package de.ivu.elect.presentation.konfiguration.menu;

import javax.inject.Inject;

import de.ivu.elect.presentation.exchange.ImportDescription;
import de.ivu.elect.presentation.exchange.menu.AbstractImportMenuItemEntry;
import de.ivu.elect.presentation.konfiguration.exchange.KonfigurationImportDescription;

public class KonfigurationImportMenuItemEntry extends AbstractImportMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private KonfigurationImportDescription importDescription;

  public KonfigurationImportMenuItemEntry() {
    super();
  }

  @Override
  public ImportDescription getImportDescription() {
    return importDescription;
  }

  @Override
  public String getLabelKey() {
    return "konfiguration.import.menu.item.label";
  }
}
